# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

showcase_menu_item = items.MenuItem(
    # GENERAL
    _('showcase'),
    reverse('admin:app_list', kwargs={'app_label': 'showcase'}),
    children=[
        items.MenuItem(
            _('showcase'), '',
            children=[
                items.MenuItem(_('add showcase item'), reverse('admin:showcase_item_add',)),
                items.MenuItem(_('showcase item list'), reverse('admin:showcase_item_changelist',)),
            ]
        ),
    ]
)

register_menu(showcase_menu_item, 'jmb.showcase')
